autolink.cpp File Reference

## Classes

class | Autolink_Test

## Macros

#define | ABS(x)

## Typedefs

typedef Autolink_Test | B

## Enumerations

enum | GlobEnum { GVal1 , GVal2 }

## Variables

int | globVar

## Detailed Description

Testing automatic link generation.

A link to a member of the Autolink_Test class: Autolink_Test::member,

More specific links to the each of the overloaded members: Autolink_Test::member(int) and Autolink_Test::member(int,int)

A link to a protected member variable of Autolink_Test: Autolink_Test::var,

A link to the global enumeration type GlobEnum.

A link to the define ABS(x).

A link to the destructor of the Autolink_Test class: Autolink_Test::~Autolink_Test,

A link to the typedef B.

A link to the enumeration type Autolink_Test::EType

A link to some enumeration values Autolink_Test::Val1 and GVal2

## Macro Definition Documentation

## ABS

#define ABS | ( |  | x | ) |

Value:
(((x)>0)?(x):-(x))

A macro definition.

## Typedef Documentation

## B

typedef Autolink_Test B

A type definition.

## Enumeration Type Documentation

## GlobEnum

enum GlobEnum

A global enum.

Enumerator
GVal1 | global enum value 1
GVal2 | global enum value 2

## Variable Documentation

## globVar

int globVar

A global variable.